Subject: Re: [PATCH v2] ucc_uart: add support for Freescale QUICCEngine UART

From: Anton Vorontsov <[email-masked]>
Date: Fri, 4 Jan 2008 02:41:50 +0300

On Thu, Jan 03, 2008 at 12:26:27PM -0600, Timur Tabi wrote:
> Scott Wood wrote:
> 
> >>>> +static struct of_platform_driver ucc_uart_of_driver = {
> >>>> +	.owner  	= THIS_MODULE,
> >>>> +	.name   	= "ucc_uart",
> >>> Maybe better fsl,ucc_uart?
> > 
> > fsl,qe-uart is defined by Documentation/powerpc/booting-without-of.txt.
> 
> Wait, I'm confused.  What does the of_platform_driver.name string have to do 
> with the compatible field in the device tree?  Like I said earlier, I'm just 

Eh, initially I meant compatible stuff, not the driver name. I've quoted
wrong code snippet, thus the confusion.

You're using "ucc_uart" for compatible matching:

> +static struct of_device_id ucc_uart_match[] = {
> +       {
> +               .type = "serial",
> +               .compatible = "ucc_uart",

here "fsl,qe-uart" will look better, no?

> +       },
> +       {},
> +};
> +MODULE_DEVICE_TABLE(of, ucc_uart_match);

Thanks,

-- 
Anton Vorontsov
email: [email-masked]
backup email: [email-masked]
irc://irc.freenode.net/bd2